<template>
  <div class="bg-white md:mt-4 md:bg-transparent">
    <div class="container hidden md:block">
      <ul
        class="flex items-center space-x-2 mb-4 text-base font-medium text-blue leading-150"
      >
        <li><a href="#">Laptop</a></li>
        <svg-icon name="icon-chevron-right" class="h-4 w-4"></svg-icon>
        <li><a href="#">Gaming</a></li>
      </ul>
    </div>
    <div class="container">
      <div class="bg-white md:pb-12 mb-6 md:mb-0">
        <!-- Image Cover -->
        <div class="article-large-image mb-6 -mx-4 md:mx-0">
          <img src="/article-detail.png" alt="article detail" />
        </div>
        <div class="relative">
          <!-- Action bar -->
          <div
            class="hidden md:flex flex-col space-y-3 absolute w-10"
            style="margin-top: 246px; margin-left: 44px; z-index: 1"
          >
            <div
              class="text-dark-blue cursor-pointer bg-gray-light w-36px h-36px text-center leading-225 hover:text-primary"
            >
              <svg-icon
                name="icon-facebook-1"
                class="inline-block w-5 h-5 align-middle"
              ></svg-icon>
            </div>
            <div class="cursor-pointer">
              <div
                class="text-dark-blue bg-gray-light w-36px h-36px text-center leading-225 hover:text-primary"
              >
                <svg-icon
                  name="icon-comment"
                  class="inline-block w-5 h-5 align-middle"
                ></svg-icon>
              </div>
              <div class="text-small text-center mt-1">62</div>
            </div>
          </div>
          <div class="article-content relative">
            <!-- Tai tro -->
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="flex items-center text-gray mb-4">
                  <svg-icon
                    name="icon-ads-1"
                    class="mr-1"
                    style="width: 139px; height:15px"
                  ></svg-icon>
                  <!-- <span class="text-base">
                    Bài viết được tài trợ
                  </span> -->
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <h1
                  class="text-26px md:text-38px font-medium text-pearl leading-140 mb-4 md:mb-6"
                >
                  Game thủ "điên đảo" với laptop chơi game siêu ngầu Razer Blade
                  15
                </h1>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <div
                  class="flex items-center text-xs md:text-base leading-150 space-x-3 border-solid border-b border-t border-gray-light py-2 mb-4"
                >
                  <a class="text-dark-gray font-medium" href="#">Tuấn Việt</a>
                  <span class="rounded-full w-1 h-1 bg-100"></span>
                  <div class="font-normal text-gray-medium">
                    21:24, 1/5/2020
                  </div>
                  <span class="rounded-full w-1 h-1 bg-100"></span>
                  <div class="font-normal text-gray-medium">
                    Cập nhật 12/5/2020
                  </div>
                </div>
              </div>
            </div>
            <div class="ce-block text-lg">
              <div class="ce-block__content">
                <div
                  class="font-medium text-pearl pl-4 border-solid border-l border-blue mb-6"
                >
                  Điều thú vị trên chiếc laptop này là sử dụng đồng bộ với
                  smartphone mới ra mắt trước đó của hãng – Razer Phone với chức
                  năng như một touch pad thông minh.
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Ngày 03/04 được đánh giá là một ngày khá sôi động cho phần
                  cứng máy tính xách tay. Intel đã chính thức bỏ CPU Comet
                  Lake-H thế hệ thứ 10 và Nvidia đã tặng ra mắt card đồ họa RTX
                  Super cho thiết bị di động. Asus cũng hòa chung không khí này
                  khi tung Razer Blade 15 với hai phiên bản khác nhau và Asus
                  cùng công bố laptop chơi game 2 màn hình ROG Zephyrus Duo 15.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <h2>Razer Blade 15</h2>
              </div>
            </div>
            <!-- Hyperlink -->
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="cdx-block">
                  <div
                    class="link-tool rounded-lg overflow-hidden bg-body text-base mb-8"
                  >
                    <a
                      class="link-tool__content link-tool__content--rendered"
                      target="_blank"
                      rel="nofollow noindex noreferrer"
                      href="https://www.razer.com/"
                    >
                      <div
                        class="link-tool__image w-full relative"
                        style="height: 360px; background-image: url('/hyperlink-image.png');"
                      ></div>
                      <div class="px-4 pt-2 pb-4">
                        <span
                          class="link-tool__anchor text-dark-cyan leading-160 mb-1"
                        >
                          razer.com
                        </span>
                        <div
                          class="link-tool__title text-gray-dark font-bold leading-160 mb-1"
                        >
                          Razer United States | For Gamers. By Gamers.
                        </div>
                        <div class="link-tool__description text-gray">
                          Razer is the world leader in high-performance gaming
                          hardware, software and systems. We live by our motto:
                          For Gamers. By Gamers.
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <!-- Embed -->
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="text-base mb-8">
                  <iframe
                    width="680"
                    height="382"
                    src="https://www.youtube.com/embed/2ncBxwdTZug"
                    frameborder="0"
                    allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                    allowfullscreen
                    style="width: 100%;"
                  ></iframe>
                  <div class="embed-caption text-14px text-gray mt-4">
                    Phiên bản cao cấp này được tích hợp con chip 8 lõi, 16
                    luồng, Core i7-10875H
                  </div>
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Cả hai phiên bản laptop chơi game Razer Blade 15 đều có bố cục
                  bàn phím mới với bố trí phím mũi tên nhỏ và tiện lợi hơn.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="image cursor-pointer relative">
                  <img src="/article-2.png" alt="" />
                  <ThumbAction />
                </div>
                <div class="image-caption">
                  Phiên bản cao cấp này được tích hợp con chip 8 lõi, 16 luồng,
                  Core i7-10875H
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Tùy chọn Razer Blade 15 cơ bản có giá 1.599 USD (tương đương
                  37,81 triệu đồng) được tích hợp bộ xử lý Gen i7-10750H thứ 10
                  mới, chứa sáu lõi và tám luồng và xung nhịp cơ bản 2,6 GHz,
                  tăng tốc lên tới 5GHz. Thiết bị đi kèm với card đồ họa rời
                  GTX1660 Ti trong cấu hình cơ sở và đi kèm với chip đồ họa
                  Nvidia RTX 2070 Max-Q cũ hơn. Ngoài ra, chiếc laptop chơi game
                  được trang bị màn hình LCD FHD tốc độ làm mới 144Hz và có thể
                  nâng cấp lên OLED. Đồng thời, laptop cũng có một cổng
                  Ethernet.
                </p>
              </div>
            </div>
            <div class="ce-block ce-block--stretched">
              <div class="ce-block__content">
                <div class="image cursor-pointer relative">
                  <img src="/article-3.png" alt="" />
                  <ThumbAction />
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Tùy chọn Razer Blade 15 cơ bản có giá 1.599 USD (tương đương
                  37,81 triệu đồng) được tích hợp bộ xử lý Gen i7-10750H thứ 10
                  mới, chứa sáu lõi và tám luồng và xung nhịp cơ bản 2,6 GHz,
                  tăng tốc lên tới 5GHz. Thiết bị đi kèm với card đồ họa rời
                  GTX1660 Ti trong cấu hình cơ sở và đi kèm với chip đồ họa
                  Nvidia RTX 2070 Max-Q cũ hơn. Ngoài ra, chiếc laptop chơi game
                  được trang bị màn hình LCD FHD tốc độ làm mới 144Hz và có thể
                  nâng cấp lên OLED. Đồng thời, laptop cũng có một cổng
                  Ethernet.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <h2>Phiên bản nâng cấp</h2>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Trong khi đó, phiên bản Razer Blade 15 nâng cấp - Advanced có
                  đầu đọc thẻ SD UHS-III và khả năng sạc qua bất kỳ cổng Type-C
                  nào. Ngoài ra, còn có những khác biệt bên ngoài và bên trong
                  khác, bao gồm thiết kế làm mát Vapor Chamber phức tạp hơn, đèn
                  RGB Razer Chroma trên mỗi phím và dĩ nhiên là vỏ silicon cao
                  cấp hơn.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="mb-8">
                  <a class="text-dark-cyan underline" href="http://">
                    Xem thông số chi tiết phiên bản Razer Blade 15 nâng cấp -
                    Advanced tại đây.
                  </a>
                </div>
              </div>
            </div>
            <!-- Compare two image -->
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="mb-8">
                  <div class="mb-4">
                    <compare-two-images
                      :left-image="'/image-compare-left.jpg'"
                      :right-image="'/image-compare-right.jpg'"
                      :labels-enable="false"
                      :show-animate-arrows="false"
                      :divider-width="'2px'"
                      :divider-width-on-hover="'8px'"
                      :divider-position="50"
                      :divider-color="'rgb(255, 255, 255)'"
                    ></compare-two-images>
                  </div>
                  <div class="image-caption">
                    Bàn phím của 2 phiên bản có sự khác biệt rất rõ ràng
                  </div>
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Phiên bản cao cấp này được tích hợp con chip 8 lõi, 16 luồng,
                  Core i7-10875H, mặc dù không phải là i9 cấp cao nhất nhưng vẫn
                  có thể tăng lên tốc độ 5,1 GHz. Thêm nữa, “quái thú” này còn
                  được tích hợp GPU Nvidia GeForce RTX 2070 Super mới và có thể
                  được bổ sung RTX 2080 Super. Cả hai loại GPU này đều thuộc
                  giống Max-Q mà Nvidia tuyên bố có cải thiện về hiệu suất năng
                  lượng lên tới 50%. Về màn hình, phiên bản này có màn hình LCD
                  với tốc độ làm mới 300Hz hoặc có thể nâng cấp lên OLED. Màn
                  hình OLED thậm chí còn được hoàn thiện với màn hình cảm ứng và
                  kính cường lực Corning Gorilla.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="image cursor-pointer relative">
                  <img src="/article-4.png" alt="" />
                  <ThumbAction />
                </div>
                <div class="image-caption">
                  Hệ thống tản nhiệt cực cá tính
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Cả hai phiên bản cơ sở và nâng cấp của Blade Blade 15 đều có
                  RAM 16 GB DDR4, sử dụng bàn di chuột được phủ kính với Windows
                  Precision và sử dụng ổ cứng SSD M.2 2280, có thể mở rộng tương
                  ứng là 256GB và 512GB.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <h2>Asus ROG Zephyrus Duo 15</h2>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Ngoài sở hữu màn hình chính kích cỡ 15,6 inch, Asus ROG
                  Zephyrus Duo 15 còn có màn hình phụ 14,1 inch (độ phân giải
                  3840 x 1100 pixel) ở góc 13 độ thuận tiện, bản lề cũng nhường
                  chỗ cho một số khe hút gió bổ sung. Rõ ràng, sau các thiết kế
                  màn hình kép của các thiết bị khác, như Zenbook Pro Duo và
                  Zenbook Duo,
                  <a href="">Zephyrus Duo 15</a>
                  chính thức là một phần của dòng ROG với tính thẩm mỹ cao, đi
                  kèm với mã lực.
                </p>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <div class="mb-8">
                  <div class="image cursor-pointer relative">
                    <img src="/article-5.png" alt="" />
                    <ThumbAction />
                  </div>
                </div>
              </div>
            </div>
            <div class="ce-block">
              <div class="ce-block__content">
                <p>
                  Tất cả các cấu hình đều có pin 90Wh và hỗ trợ sạc USB Type-C.
                  Tùy chọn màn hình 4K bao phủ 100% không gian màu Adobe RGB hứa
                  hẹn sẽ phục vụ tốt cho những người dùng làm công việc sáng tạo
                  hơn. Đối với việc sử dụng màn hình phụ, ngoài những thứ như đa
                  tác vụ trong Windows, với giao diện người dùng để phát trực
                  tuyến và trò chuyện, Asus cũng đã hợp tác với Adobe để phát
                  triển các giao diện đặc biệt.
                </p>
                <p>
                  Ngoài thiết bị trên, Asus cũng đang nâng cấp hàng loạt các mẫu
                  laptop khác trong dòng máy tính xách tay của mình với chip mới
                  của Intel và Nvidia, bao gồm: laptop Zephyrus S17 mới,
                  Zephyrus S15, Zephyrus M15, Strix Scar 15, Strix Scar 17 cũng
                  như ROG Strix G15 và G17. Chúng dự kiến sẽ đến thị trường Bắc
                  Mỹ trong quý 2 và quý 3 năm nay.
                </p>
              </div>
            </div>
            <!-- Charts -->
            <div class="ce-block">
              <div class="ce-block__content">
                <div
                  class="bg-white overflow-hidden rounded-lg border border-solid border-blue-gray py-4 px-6 mb-8"
                >
                  <Highcharts :options="chartOptions" />
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- List tag -->
        <div class="max-w-2xl mx-auto">
          <div
            class="flex items-center text-xs space-x-3 border-solid border-b border-t border-gray-light py-3"
          >
            <a
              class="bg-gray-light py-1 px-2 text-blue font-medium leading-160"
              href="/tag"
            >
              Laptop Gaming
            </a>
            <a
              class="bg-gray-light py-1 px-2 rounded text-blue font-medium leading-160"
              href="/tag"
            >
              Razer Blade
            </a>
            <a
              class="bg-gray-light py-1 px-2 rounded text-blue font-medium leading-160"
              href="/tag"
            >
              Asus ROG
            </a>
          </div>
        </div>
        <!-- Comment -->
        <div class="mt-6 max-w-2xl mx-auto">
          <div class="text-2xl text-dark-blue leading-140 font-bold mb-4">
            Thảo luận
            <span class="font-normal">(26)</span>
          </div>
          <!-- Auth -->
          <div class="mb-6">
            <textarea
              type="textarea"
              placeholder="Luôn lịch sự và tôn trọng ý kiến của anh em khác bạn nhé..."
              class="input-comment p-4 border-solid border border-gray-light"
            ></textarea>
          </div>
          <div class="bg-body rounded-lg overflow-hidden py-4 px-4 mb-6">
            <div class="flex items-center">
              <svg-icon
                name="conversation"
                class="w-20"
                style="height: 86px;"
              ></svg-icon>
              <div class="ml-6">
                <div class="mb-3 font-medium text-15px text-gray-dark">
                  Cùng tham gia và thảo luận văn minh cùng cộng đồng ThinkView
                  bạn nhé!
                </div>
                <div class="mb-3 text-xs text-gray-medium">
                  Đăng nhập thông qua
                </div>
                <ul class="flex">
                  <li>
                    <a
                      href="javascript:;"
                      class="inline-block text-dark-blue rounded-full bg-white w-36px h-36px text-center leading-225 transition ease-in duration-200 hover:text-white hover:bg-dark-cyan"
                    >
                      <svg-icon
                        class="w-6 h-6 inline-block align-middle"
                        name="icon-apple"
                      />
                    </a>
                  </li>
                  <li class="ml-4">
                    <a
                      href="javascript:;"
                      class="inline-block text-dark-blue rounded-full bg-white w-36px h-36px text-center leading-225 transition ease-in duration-200 hover:text-white hover:bg-dark-cyan"
                    >
                      <svg-icon
                        class="w-6 h-6 inline-block align-middle"
                        name="icon-google"
                      />
                    </a>
                  </li>
                  <li class="ml-4">
                    <a
                      href="javascript:;"
                      class="inline-block text-dark-blue rounded-full bg-white w-36px h-36px text-center leading-225 transition ease-in duration-200 hover:text-white hover:bg-dark-cyan"
                    >
                      <svg-icon
                        class="w-6 h-6 inline-block align-middle"
                        name="icon-facebook-1"
                      />
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <!-- Filter comment -->
          <div
            class="flex text-gray-medium leading-160 space-x-8 mb-4 border-solid border-b border-gray-light"
          >
            <div
              :class="{
                'font-medium text-dark-blue border-b border-solid border-dark-blue': activeTopComment
              }"
              class="pb-2 cursor-pointer -mb-px"
              @click="activeTopComment = true"
            >
              Top thảo luận
            </div>
            <div
              class="pb-2 cursor-pointer -mb-px"
              :class="{
                'font-medium text-dark-blue border-b border-solid border-dark-blue':
                  activeTopComment == false
              }"
              @click="activeTopComment = !activeTopComment"
            >
              Mới nhất
            </div>
          </div>
          <!-- List comment -->
          <div>
            <CommentList />
          </div>
        </div>
      </div>

      <!-- Post related -->
      <div class="md:mt-30px mb-4">
        <SectionRelated />
      </div>

      <!-- Recommendation -->
      <div class="mb-4">
        <div class="md:flex md:-mx-10px leading-relaxed">
          <div class="md:w-8/12 md:px-10px">
            <SectionRecommendation />
          </div>
          <div class="md:w-4/12 md:px-10px">
            <SponsorVertical :imagesrc="'/sponsor-xbox.png'" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Highcharts from 'highcharts'
import { genComponent } from 'vue-highcharts'

export default {
  layout({ isMobile }) {
    return isMobile ? 'mobile' : 'default'
  },
  components: {
    CompareTwoImages: () => import('vue-compare-two-images-component'),
    ThumbAction: () => import('~/components/page-article/ThumbAction'),
    CommentList: () => import('~/components/page-article/CommentList'),
    SectionRelated: () => import('~/components/page-article/SectionRelated'),
    SectionRecommendation: () =>
      import('~/components/page-article/SectionRecommendation'),
    SponsorVertical: () => import('~/components/sponsor/SponsorVertical'),
    Highcharts: genComponent('Highcharts', Highcharts)
  },
  async fetch() {
    await this.$store.dispatch('getMainMenu')
  },
  data() {
    return {
      isAuth: false,
      isShowThumbAction: null,
      chartOptions: {
        chart: {
          type: 'bar'
        },
        title: {
          text: 'Historic World Population by Region'
        },
        subtitle: {
          text:
            'Source: <a href="https://en.wikipedia.org/wiki/World_population">Wikipedia.org</a>'
        },
        xAxis: {
          categories: ['Africa', 'America', 'Asia', 'Europe', 'Oceania'],
          title: {
            text: null
          }
        },
        yAxis: {
          min: 0,
          title: {
            text: 'Population (millions)',
            align: 'high'
          },
          labels: {
            overflow: 'justify'
          }
        },
        tooltip: {
          valueSuffix: ' millions'
        },
        plotOptions: {
          bar: {
            dataLabels: {
              enabled: true
            }
          }
        },
        legend: {
          layout: 'vertical',
          align: 'right',
          verticalAlign: 'top',
          x: -40,
          y: 80,
          floating: true,
          borderWidth: 1,
          backgroundColor: '#FFFFFF',
          shadow: true
        },
        credits: {
          enabled: false
        },
        series: [
          {
            name: 'Year 1800',
            data: [107, 31, 635, 203, 2]
          },
          {
            name: 'Year 1900',
            data: [133, 156, 947, 408, 6]
          },
          {
            name: 'Year 2000',
            data: [814, 841, 3714, 727, 31]
          },
          {
            name: 'Year 2016',
            data: [1216, 1001, 4436, 738, 40]
          }
        ]
      },
      activeTopComment: true
    }
  },
  head() {
    return {
      title: 'Article Detail - ThinkView - Chuyên trang tin công nghệ'
    }
  }
}
</script>
